Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.royalti.io/ddex/providers/{providerId} \ --header 'Authorization: Bearer <token>'
{ "status": "<string>", "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "code": "<string>", "dpid": "<string>", "defaultDeliveryMethod": "SFTP", "deliveryMethods": [], "territories": [ "<string>" ], "supportedFormats": [ "<string>" ], "technicalSpecs": {}, "rateLimits": {}, "acknowledgementSettings": {}, "description": "<string>", "isActive": true, "website": "<string>", "documentation": "<string>" } }
Get provider details
const response = await fetch('https://api.royalti.io/ddex/providers/example-id', { method: 'GET', }); const data = await response.json(); console.log(data);
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Success
Show child attributes